import { $http } from "./config";
export default {
  // 员工登录
  staffLogin(data) {
    return $http("post", "staff/backstage/login", data);
  },

  // 获取用户列表 货主/船东
  getUserList(data) {
    return $http("post", "user/backstage/list", data);
  },

  // 添加用户
  addUser(data) {
    return $http("post", "user/backstage/add", data);
  },

  // 获取用户详情
  getUserDetail(data) {
    return $http("post", "user/backstage/details", data);
  },

  // 更新用户详情
  updateUserDetail(data) {
    return $http("post", "/user/backstage/update", data);
  },

  // 获取航次列表
  getVoyageList(data) {
    return $http("post", "voyage/list", data);
  },

  // 获取航次详情
  getVoyageDetail(data) {
    return $http("post", "/voyage/detail", data);
  },

  // 更新航次
  updateVoyage(data) {
    return $http("post", "/voyage/backstage/update", data);
  },

  // 完成航次
  finishVoyage(data) {
    return $http("post", "/voyage/backstage/finish", data);
  },

  // 根据船名/MMSI/船东手机号获取船舶用户信息（员工端添加航次选择船)
  getUserInfoAndShipInfo(data) {
    return $http("post", "ship/backstage/userShipInfo", data);
  },

  // 添加航次
  addVoyage(data) {
    return $http("post", "voyage/backstage/add", data);
  },

  // 获取媒体列表
  getMediaList(data) {
    return $http("post", "/media/backstage/list", data);
  },

  // 审核媒体文件
  auditMedia(data) {
    return $http("post", "/media/backstage/audit", data);
  },

  // 模糊搜索用户
  seachUser(data) {
    return $http("post", "/user/backstage/search", data);
  },

  // 获取船舶列表
  getShipList(data) {
    return $http("post", "/ship/backstage/list", data);
  },

  // 更新船舶信息
  updateShip(data) {
    return $http("post", "/ship/backstage/update", data);
  },

  // 更新船东信息
  updateShipOwner(data) {
    return $http("post", "/user/backstage/update", data);
  },

  // 获取船舶详情
  getShipDetail(data) {
    return $http("post", "/ship/backstage/detail", data);
  },

  // 船舶查询
  searchShip(data) {
    return $http("post", "ship/backstage/search", data);
  },

  // 根据shipId获取船东列表
  getShipOwnerListByShipId(data) {
    return $http("post", "/user/backstage/shopOwnerlist", data);
  },
};
